# Asterisk Project : Asterisk 13 ManagerEvent_DeviceStateChange

Created and last modified by wikibot on Aug 11, 2014

# DeviceStateChange

### Synopsis

Raised when a device state changes

### Description

This differs from the `ExtensionStatus` event because this event is raised for all device state changes, not only for changes that affect dialplan hints.

### Syntax

    Event: DeviceStateChange
    Device: <value>
    State: <value>

##### Arguments

- `Device` - The device whose state has changed
- `State` - The new state of the device

### Class

CALL

### See Also

- Asterisk 13 ManagerEvent_ExtensionStatus

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420717